import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-bridge-package' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const BridgePackage = NativeModules.BridgePackage ? NativeModules.BridgePackage : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function setEventNameProperties(eventName) {
  return BridgePackage.setEventNameProperties(eventName);
}
export function setEventProperties(eventName, eventProp) {
  return BridgePackage.setEventProperties(eventName, eventProp);
}
export function setInstantEventNameProperties(eventName) {
  return BridgePackage.setInstantEventNameProperties(eventName);
}
export function setInstantEventProperties(eventName, eventProp) {
  return BridgePackage.setInstantEventProperties(eventName, eventProp);
}
export function setUserIdentities(userProp) {
  return BridgePackage.setUserIdentities(userProp);
}
export function hashUserIdentitiesAndSet(userProp, useOldConfig) {
  return BridgePackage.hashUserIdentitiesAndSet(userProp, useOldConfig);
}
export function setUserProperties(userProp) {
  return BridgePackage.setUserProperties(userProp);
}
export function setPageProperties(userProp) {
  return BridgePackage.setPageProperties(userProp);
}
export function unsetUserIdentities() {
  return BridgePackage.unsetUserIdentities();
}
export function deInitiate() {
  return BridgePackage.deInitiate();
}
export function reInitialize() {
  return BridgePackage.reInitialize();
}
export function setConsent(consent) {
  return BridgePackage.setConsent(consent);
}
export function addAskForConsentListener(cb) {
  return BridgePackage.addAskForConsentListener(cb);
}
export function getZI(cb) {
  return BridgePackage.getZI(cb);
}
export function resetZI() {
  return BridgePackage.resetZI();
}
//# sourceMappingURL=index.js.map